## content_symlink

Content Repository : content_symlink

- Overview
- Related Objects
- API

### Overview

Symlinks are pointers to items within the content repository. They are simply used to create links between content items.

### Related Objects

See also: content_item, content_folder

### API

- Function: content_symlink.is_symlink

  Determines if the item is a symlink

  Author: | Karl Goldstein
  Returns: | 't' if the item is a symlink, 'f' otherwise
  Parameters:

  > item_id: |  | The item id

  Declaration:

      function is_symlink (
        item_id	   in cr_items.item_id%TYPE
      ) return char;

  See Also: | content_symlink.new, content_symlink.resolve

- Function: content_symlink.new

  Create a new symlink, linking two items

  Author: | Karl Goldstein
  Returns: | The id of the newly created symlink
  Parameters:

  > name: |  | The name for the new symlink, defaults to the name of the target item
  > label : |  | The label of the symlink, defaults to 'Symlinke to <target_item_name>'
  > target_id: |  | The item which the symlink will point to
  > parent_id: |  | The parent folder for the symlink. This must actually be a folder and not a generic content item.
  > symlink_id: |  | The id of the new symlink. A new id will be allocated by default
  > creation_date: |  | As in `acs_object.new`
  > creation_ip: |  | As in `acs_object.new`
  > creation_user: |  | As in `acs_object.new`

  Declaration:

      function new (
        name          in cr_items.name%TYPE default null,
        label		in cr_symlinks.label%TYPE default null,
        target_id	in cr_items.item_id%TYPE,
        parent_id     in acs_objects.context_id%TYPE,
        symlink_id	in cr_symlinks.symlink_id%TYPE default null,
        creation_date	in acs_objects.creation_date%TYPE
      			   default sysdate,
        creation_user	in acs_objects.creation_user%TYPE
      			   default null,
        creation_ip	in acs_objects.creation_ip%TYPE default null
      ) return cr_symlinks.symlink_id%TYPE;

  See Also: | acs_object.new, content_item.new, content_symlink.resolve

- Function: content_symlink.resolve

  Resolves the symlink and returns the target item id.

  Author: | Karl Goldstein
  Returns: | The target item of the symlink, or the original item id if the item is not in fact a symlink
  Parameters:

  > item_id: |  | The item id to be resolved

  Declaration:

      function resolve (
        item_id	in cr_items.item_id%TYPE
      ) return cr_items.item_id%TYPE;

  See Also: | content_symlink.new, content_symlink.is_symlink

- Function: content_symlink.resolve_content_type

  Gets the content type of the target item.

  Author: | Michael Pih
  Returns: | The content type of the symlink target, otherwise null. the item is not in fact a symlink
  Parameters:

  > item_id: |  | The item id to be resolved

  Declaration:

      function resolve_content_type (
        item_id	in cr_items.item_id%TYPE
      ) return cr_items.content_type%TYPE;

  See Also: | content_symlink.resolve

- Procedure: content_symlink.copy

  Copies the symlink itself to another folder, without resolving the symlink

  Author: | Karl Goldstein
  Parameters:

  > symlink_id: |  | The id of the symlink to copy
  > target_folder_id: |  | The id of the folder where the symlink is to be copied

  Declaration:

      procedure copy (
        symlink_id		in cr_symlinks.symlink_id%TYPE,
        target_folder_id	in cr_folders.folder_id%TYPE
      );

  See Also: | content_symlink.new, content_item.copy

- Procedure: content_symlink.delete

  Deletes the symlink

  Author: | Karl Goldstein
  Parameters:

  > symlink_id: |  | The id of the symlink to delete

  Declaration:

      procedure delete (
        symlink_id	in cr_symlinks.symlink_id%TYPE
      );

  See Also: | content_symlink.new, acs_object.delete

  Last Modified: $Id: symlink.html,v 1.1.1.1 2001/03/13 22:59:26 ben Exp $